
# Stackify Logstash Output Plugin

This is a plugin for [Logstash](https://github.com/elastic/logstash).

## Usage  

1. Download `logstash-output-stackify-#.#.#.gem` file from https://rubygems.org/gems/logstash-output-stackify.

2. Install
`bin/logstash-plugin install /path/to/logstash-output-stackify-#.#.#.gem`

3. Add plugin to pipeline configuration: 
```
output {
  stackify {
     key => "[ACTIVATION KEY]" 
  }
}
```

**Optional Configuration Options**:

* `default_env_name` - used if `env_name_field` is not defined - defaults to `Production`
* `default_app_name` - used if `app_name_field` is not defined - defaults to `Logstash`
* `env_name_field` - field to use for env name
* `server_name_field` - field to use for server name
* `app_name_field` - field to use for application name
* `level_field` - field to use for log level
* `message_field` - field to use for message - defaults to `message`

