 
## References 

* Guide https://www.elastic.co/guide/en/logstash/5.6/_how_to_write_a_logstash_output_plugin.html 
 
## Install JRuby 
```
brew install jruby 
jruby -S gem install bundle
```

## Build 
```

jruby -S bundle install
jruby -S bundle exec rspec
jruby -S gem build logstash-output-stackify.gemspec
``` 

## Publish 
```
jruby -S gem push logstash-output-stackify-#.#.#.gem
```

## Install 

```
/logstash-5.6.16/bin/logstash-plugin install logstash-output-stackify-#.#.#.gem
/logstash-5.6.16/bin/logstash-plugin list
```



